<div class="row mt-n1 py-1">
  <div class="col-12 onis-h2-row">
    {{if .actions}}
    <div class="d-flex onis-h2 p-1">
      {{if .title}}
      <span class="ml-2 fw-bold mr-auto">{{.title}}</span>
      {{end}}
      <div class="mx-n1">
        {{range $i, $v := .actions}}
        {{partial "button" (merge $v (dict "controller" $.controller "name" (print $.name "_" $v.name "_" $i)))}}
        {{end}}
      </div>
      {{if .search}}
      <div class="ml-auto">
        <input style="width:10rem;height:32px" class="form-control" type="text" placeholder="Search" way-data="search">
      </div>
      {{if .searchButton}}
      <i class="fas fa-search p-2" style="color:white"></i>
      {{end}}
      {{end}}
      <ul class="navbar-nav ml-2">
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle p-1" style="color:white" href="#" id="navbarDropdownMenuLink"
            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <li><a class="dropdown-item" href="#"><i class="fas fa-question-circle" aria-hidden="true"></i> Help</a>
            </li>
            <li>
              <hr class="dropdown-divider">
            </li>
            <li><a class="dropdown-item" href="#"><i class="fas fa-eye" aria-hidden="true"></i> Show All</a></li>
            <li><a class="dropdown-item" href="#"><i class="fas fa-eye-slash" aria-hidden="true"></i> Hide No Change
                Items</a></li>
            <li>
              <hr class="dropdown-divider">
            </li>
            <li><a class="dropdown-item" href="#"><i class="fas fa-download" aria-hidden="true"></i> Download CSV...</a>
            </li>
          </ul>
        </li>
      </ul>
      {{if .title}}
      <i class="ml-2 mt-2 mr-1 fas fa-chevron-down"></i>
      {{end}}
    </div>
    {{else}}
    <button class="accordion-button fw-bold{{if eq .title "Fiber Internet Access (FIA)"}} mt-2{{end}}" type="button"
      data-toggle="collapse" data-target="#{{.name}}" aria-expanded="true" aria-controls="{{.name}}">
      {{with .icon}}<i class="{{.}} mr-1" aria-hidden="true"></i>{{end}}{{.title}}
    </button>
    {{end}}
  </div>
</div>
<div class="row collapse show mb-n1 py-1" id="{{.name}}">
  <div class="col">
    {{range $i, $v := .views}}
    {{partial .name (merge $v (dict "name" (print $.name "_" $i)))}}
    {{end}}
  </div>
</div>
